/// 非官方知乎日报 Dart SDK，所有API信息都取自非官方的[知乎日报API分析](https://github.com/izzyleung/ZhihuDailyPurify/wiki/%E7%9F%A5%E4%B9%8E%E6%97%A5%E6%8A%A5-API-%E5%88%86%E6%9E%90)。
library zhihu_daily.interface;

import 'dart:async';

import 'constant.dart';
import 'model.dart';

export 'model.dart';
export 'extractor.dart';
export 'constant.dart';
export 'util.dart';

/// 知乎日报Api接口
abstract class ZhihuDailyApi {
  /// 获取启动界面图像
  Future<StartImage> fetchStartImage(
      {StartImageSize size: StartImageSize.size720});

  /// 获取最新消息
  ///
  /// 返回结果中的第一个列表为头条，第二个列表是普通消息
  Future<List<List<News>>> fetchLatestNews();

  /// 获取消息内容
  Future<Story> fetchStory(int storyId);

  /// 获取过往消息
  Future<List<News>> fetchOldNews({String date});

  /// 获取消息额外信息
  Future<StoryExtra> fetchStoryExtra(int storyId);

  /// 获取长评论
  Future<List<Comment>> fetchLongComments(int storyId);

  /// 获取短评论
  Future<List<Comment>> fetchShortComments(int storyId);

  /// 获取主题日报列表
  Future<List<Theme>> fetchThemes();

  /// 获取主题日报内容
  Future<ThemeContent> fetchThemeContent(int themeId);
}
