library zhihu_daily.util;

import 'constant.dart';

/// 根据不同类型的API请求，构建相应的url
String buildUrl(ApiType type,
    {StartImageSize startImageSize: StartImageSize.size720,
    String beforeDate,
    int storyId,
    int themeId}) {
  String result;
  switch (type) {
    case ApiType.startImage:
      result = '$kStartImageUrl/${kStartImageSizeList[startImageSize.index]}';
      break;

    case ApiType.appVersionAndroid:
      result = kAndroidVersionUrl;
      break;

    case ApiType.appVersionIOS:
      result = kAndroidVersionUrl;
      break;

    case ApiType.latestNews:
      result = kLatestNewsUrl;
      break;

    case ApiType.oldNews:
      if (beforeDate == null) {
        beforeDate = today();
      }
      result = '$kOldNewsUrl/$beforeDate';
      break;

    case ApiType.story:
      if (storyId != null) {
        result = '$kStoryUrl/$storyId';
      }
      break;

    case ApiType.storyExtra:
      if (storyId != null) {
        result = '$kStoryExtraUrl/$storyId';
      }
      break;

    case ApiType.longComments:
      if (storyId != null) {
        result = '$kCommentsUrl/$storyId/long-comments';
      }
      break;

    case ApiType.shortComments:
      if (storyId != null) {
        result = '$kCommentsUrl/$storyId/short-comments';
      }
      break;

    case ApiType.themes:
      result = kThemesUrl;
      break;

    case ApiType.themeContent:
      if (themeId != null) {
        result = '$kThemeContentUrl/$themeId';
      }
      break;
  }
  return result;
}

/// 返回今天的日期字符串
String today() {
  DateTime dt = new DateTime.now();
  var result =
      '${dt.year.toString()}${dt.month.toString().padLeft(2, '0')}${dt.day.toString().padLeft(2, '0')}';
  return result;
}
