import 'package:test/test.dart';

import '../lib/zhihu_daily.dart';

void main() {
  test("Start image test", () async {
    ZhihuDaily zhi = new ZhihuDaily();
    StartImage result = await zhi.fetchStartImage();
    expect(result != null, equals(true));
  });

  test("Latest news test", () async {
    ZhihuDaily zhi = new ZhihuDaily();
    List<List<News>> result = await zhi.fetchLatestNews();
    expect(2, equals(result.length));
  });

  test("Story test", () async {
    ZhihuDaily zhi = new ZhihuDaily();
    var id = 3892357;
    Story result = await zhi.fetchStory(id);
    expect(result.id, equals(id));
  });

  test("Story extra test", () async {
    ZhihuDaily zhi = new ZhihuDaily();
    var id = 3892357;
    StoryExtra result = await zhi.fetchStoryExtra(id);
    expect(result != null, equals(true));
  });

  test("Old news test", () async {
    ZhihuDaily zhi = new ZhihuDaily();
    var date = '20151030';
    List<News> result = await zhi.fetchOldNews(date: date);
    expect(result[0].date, equals('20151029'));
  });

  test("Long comments test", () async {
    ZhihuDaily zhi = new ZhihuDaily();
    var id = 4232852;
    List<Comment> result = await zhi.fetchLongComments(id);
    expect(result.isNotEmpty, equals(true));
  });

  test("Short comments test", () async {
    ZhihuDaily zhi = new ZhihuDaily();
    var id = 4232852;
    List<Comment> result = await zhi.fetchShortComments(id);
    expect(result.isNotEmpty, equals(true));
  });

  test("Themes test", () async {
    ZhihuDaily zhi = new ZhihuDaily();
    List<Theme> result = await zhi.fetchThemes();
    expect(result.isNotEmpty, equals(true));
  });

  test("Theme content test", () async {
    ZhihuDaily zhi = new ZhihuDaily();
    var id = 11;
    ThemeContent result = await zhi.fetchThemeContent(id);
    expect(result.newsList.isNotEmpty, equals(true));
  });
}
